Bug 478063 - MIGRATED_FROM_JIRA: Specify Source Field's Type
MIGRATED_FROM_JIRA: Specify Source Field's Type
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 02:55 EST by Chandrasekar Kannan
Modified: 2016-01-28 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 02:55:36 EST
This is limitation for the current release. There is no way to specify 
the source field's type. We'll add this feature on the next release in 
two weeks. If we have a workaround, we'll post them here soon.

------------------------------------------------------------

I am using penrose 0.9.3. I have a database with a 'students' table in 
it. THe students table has the following fields in it and the arrows 
indicate their mapping to various attributes of the 'inetOrgPerson' 
class: - 
name         : - varchar(255) <--> cn 
middle_name  : - varchar(255) 
surname      : - varchar(255) <--> sn (rdn = true) 
studentID    : - int(11)      <--> uid 

When I view the data using JXplorer, I can see the data but when I am 
not able to modify the value of any attribute. This happens only when I 
specify the mapping between 'studentID' and 'uid'. When this mapping is 
not specified, the modification of attributes works perfectly well. I 
think this is probably because the integer sizes in the database and 
Penrose don't match. On viewing the penrose.out file, we found a 
ClassCastException being generated at each modification request. Is 
there a reason why this problem is ocurring and is there a way around 
it? 
Thank you, 
Div 
Additional Comments From endisd dated Thu Aug 11 21:34:43 CDT 2005 
This is fixed.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-65',
          'assignee' => 'jimyang',
          'summary' => 'Specify Source Field's Type',
          'id' => '10211',
          'updated' => '2005-08-11 21:34:43.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2005-08-31 00:00:00.0',
                             'sequence' => '4',
                             'name' => 'Penrose-0.9.4',
                             'released' => 'true',
                             'id' => '10021',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2005-07-26 00:00:00.0',
                                 'sequence' => '3',
                                 'name' => 'Penrose-0.9.3',
                                 'released' => 'true',
                                 'id' => '10020',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'This is limitation for the current release. There is no way to specify 
the source field's type. We'll add this feature on the next release in 
two weeks. If we have a workaround, we'll post them here soon.

------------------------------------------------------------

I am using penrose 0.9.3. I have a database with a 'students' table in 
it. THe students table has the following fields in it and the arrows 
indicate their mapping to various attributes of the 'inetOrgPerson' 
class: - 
name         : - varchar(255) <--> cn 
middle_name  : - varchar(255) 
surname      : - varchar(255) <--> sn (rdn = true) 
studentID    : - int(11)      <--> uid 

When I view the data using JXplorer, I can see the data but when I am 
not able to modify the value of any attribute. This happens only when I 
specify the mapping between 'studentID' and 'uid'. When this mapping is 
not specified, the modification of attributes works perfectly well. I 
think this is probably because the integer sizes in the database and 
Penrose don't match. On viewing the penrose.out file, we found a 
ClassCastException being generated at each modification request. Is 
there a reason why this problem is ocurring and is there a way around 
it? 
Thank you, 
Div ',
          'created' => '2005-08-05 09:46:56.0',
          'resolution' => '1',
          'type' => '4'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 02:55:38 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-65

Note You need to log in before you can comment on or make changes to this bug.